// SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
//
// SPDX-License-Identifier: GPL-3.0-or-later

import QtQuick 2.11
import QtQuick.Controls 2.4
import org.deepin.dtk 1.0

import org.deepin.album 1.0 as Album

Item {
    property var selectedPaths: GStatus.selectedPaths // 已选路径
    property int stackControlCurrent: GStatus.stackControlCurrent// 0:相册界面 1:看图界面 2:幻灯片

    function objIsEmpty(obj) {
        var ret = (String(obj) === "undefined" || String(obj) === "null")
        //console.log("obj is", ret ? "empty." : "not empty.", "objStr:", String(obj))
        return ret
    }

    function isDrag(fromX, fromY, toX, toY) {
        var length = Math.abs(fromX - toX) + Math.abs(fromY - toY);
        return length >= Qt.styleHints.startDragDistance;
    }

    // 导入重复文件提示
    Connections {
        target: albumControl
        onSigRepeatUrls: {
            DTK.sendMessage(stackControl, qsTr("The photo/video already exists"), "warning")
        }
    }

    // 导入不支持文件提示
    Connections {
        target: albumControl
        onSigInvalidFormat: {
            DTK.sendMessage(stackControl, qsTr("The file format is not supported"), "warning")
        }
    }

    // 导入不支持文件提示
    Connections {
        target: fileControl
        onInvalidFormat: {
            DTK.sendMessage(stackControl, qsTr("The file format is not supported"), "warning")
        }
    }

    onSelectedPathsChanged: {
        menuItemStates.updateMenuItemStates()
    }
    // 大图模式，隐藏相册标题栏，相册模式显示相册标题栏
    onStackControlCurrentChanged: {
        window.showTitleBar(stackControlCurrent != 1)
    }
}
